import i18n from 'i18next';
import {initReactI18next} from 'react-i18next';
// Import your translation files
import english from './en.json';
import spanish from './es.json';
import italian from './it.json';

  
i18n.use(initReactI18next).init({
    initImmediate: false,
    resources: {
      en: {
        translation: english
      },
      es: {
        translation: spanish
      },
      it: {
        translation: italian
      }
    },
    lng: 'en', // default language
    fallbackLng: 'en',
    interpolation: {
      escapeValue: false
    }
  });

export default i18n;